package com.ruoyi.ehsMaterial.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.ruoyi.ehsMaterial.domain.EhsMaterial;

import java.util.List;

/**
 * 物资信息包含  通用应急救援装备”“防汛抗旱应急救援装备”“森林防灭火应急救援装备”“救灾物资”Mapper接口
 *
 * @author ruoyi
 * @date 2023-12-04
 */
public interface EhsMaterialMapper extends BaseMapper<EhsMaterial> {
	/**
	 * 查询物资信息包含  通用应急救援装备”“防汛抗旱应急救援装备”“森林防灭火应急救援装备”“救灾物资”
	 *
	 * @param materialId 物资信息包含  通用应急救援装备”“防汛抗旱应急救援装备”“森林防灭火应急救援装备”“救灾物资”主键
	 * @return 物资信息包含  通用应急救援装备”“防汛抗旱应急救援装备”“森林防灭火应急救援装备”“救灾物资”
	 */
	public EhsMaterial selectEhsMaterialByMaterialId(Long materialId);

	/**
	 * 查询物资信息包含  通用应急救援装备”“防汛抗旱应急救援装备”“森林防灭火应急救援装备”“救灾物资”列表
	 *
	 * @param ehsMaterial 物资信息包含  通用应急救援装备”“防汛抗旱应急救援装备”“森林防灭火应急救援装备”“救灾物资”
	 * @return 物资信息包含  通用应急救援装备”“防汛抗旱应急救援装备”“森林防灭火应急救援装备”“救灾物资”集合
	 */
	public List<EhsMaterial> selectEhsMaterialList(EhsMaterial ehsMaterial);
	public List<EhsMaterial> selectEhsMateriallExportList(EhsMaterial ehsMaterial);
}
